import { ElementRef } from '@angular/core';
import { Subscription } from 'rxjs';
export declare abstract class TouchManager {
    touchSubscription: Subscription;
    abstract elementRef: ElementRef<any>;
    abstract touchStart(event: TouchEvent): any;
    abstract touchMove(event: TouchEvent, unListen: Function): any;
    abstract touchEnd(event: TouchEvent): any;
    init(points: number): void;
    destroy(): void;
}
